Bug 74380 - Anaconda dumps when trying to install 7.1 dual boot with Win2K Prof on Dell Latitude Cpi D300XT
Summary: Anaconda dumps when trying to install 7.1 dual boot with Win2K Prof on Dell L...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-22 19:49 UTC by Morgan Likely
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:49:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error from RH 7.1 (1.07 KB, text/plain)
2002-09-22 19:52 UTC, Morgan Likely
no flags Details

Description Morgan Likely 2002-09-22 19:49:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Anaconda dumps when trying to install 7.1 dual boot with Win2K Prof on Dell 
Latitude Cpi D300XT

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install 7.1 on 2GB partition
2.FDISK, place boot on first sector of linux native partition /dev/dha3 mount 
NTFS on /dev/hda1
3.Install packages, anaconda pukes
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in __call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1964, in 
doInstall
    self.fstab.write (self.instPath)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 885, in write
    iutil.mkdirChain(prefix + mntpoint)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iutil.py", line 237, in 
mkdirChain
    os.mkdir(path, 0755)
OSError: [Errno 17] File exists: '/mnt/sysimage/dev/hda1'

Local variables in innermost frame:
which: 5
dir: /mnt/sysimage/dev/hda1
elements: ['', 'mnt', 'sysimage', 'dev', 'hda1']
path: /mnt/sysimage/dev/hda1

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(itext
ProgressWindow
(dp5
S'scale'
p6
NsS'screen'
p7
(isnack
SnackScreen
p8
(dp9
S'height'
p10
I25
sS'width'
p11
I80
sS'helpCb'
p12

<failed>



Expected Results:  A nice dual-boot laptop running Win2K Prof and RedHat Linux 
7.1 should be on my desk

Additional info:

Comment 1 Morgan Likely 2002-09-22 19:52:27 UTC
Created attachment 76844 [details]
Error from RH 7.1

Comment 2 Michael Fulbright 2002-09-23 20:43:39 UTC
I would recommend you try the 7.3 release, it has numerous bug fixes.

Comment 3 Michael Fulbright 2002-10-24 18:23:45 UTC
Closing due to inactivity. Please reopen if you have any new information to add
to this report.

Comment 4 Red Hat Bugzilla 2006-02-21 18:49:40 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.